## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSnowState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the snow mesh object. More...

`#include <imesh/snow.h>`

Inheritance diagram for iSnowState:

[legend]
List of all members.

## Public Member Functions

virtual void | GetBox (csVector3 &minbox, csVector3 &maxbox) const =0
| Get box.
virtual void | GetDropSize (float &dropwidth, float &dropheight) const =0
| Get the size of the snow flakes.
virtual const csVector3 & | GetFallSpeed () const =0
| Get fall speed.
virtual bool | GetLighting () const =0
| See if lighting is enabled.
virtual int | GetParticleCount () const =0
| Get the number of particles used.
virtual float | GetSwirl () const =0
| Get swirl.
virtual void | SetBox (const csVector3 &minbox, const csVector3 &maxbox)=0
| Set box.
virtual void | SetDropSize (float dropwidth, float dropheight)=0
| Set the size of the drops.
virtual void | SetFallSpeed (const csVector3 &fspeed)=0
| Set fall speed.
virtual void | SetLighting (bool l)=0
| Enable or disable lighting.
virtual void | SetParticleCount (int num)=0
| Set the number of particles to use.
virtual void | SetSwirl (float swirl)=0
| Set swirl.

## Detailed Description

This interface describes the API for the snow mesh object.

Definition at line 40 of file snow.h.

## Member Function Documentation

virtual void iSnowState::GetBox | ( | csVector3 & | minbox,
|  | csVector3 & | maxbox
| ) | const`[pure virtual]`

| Get box.

virtual void iSnowState::GetDropSize | ( | float & | dropwidth,
|  | float & | dropheight
| ) | const`[pure virtual]`

| Get the size of the snow flakes.

virtual const csVector3& iSnowState::GetFallSpeed | ( |  | ) | const`[pure virtual]`

| Get fall speed.

virtual bool iSnowState::GetLighting | ( |  | ) | const`[pure virtual]`

| See if lighting is enabled.

virtual int iSnowState::GetParticleCount | ( |  | ) | const`[pure virtual]`

| Get the number of particles used.

virtual float iSnowState::GetSwirl | ( |  | ) | const`[pure virtual]`

| Get swirl.

virtual void iSnowState::SetBox | ( | const csVector3 & | minbox,
|  | const csVector3 & | maxbox
| ) | `[pure virtual]`

| Set box.

virtual void iSnowState::SetDropSize | ( | float | dropwidth,
|  | float | dropheight
| ) | `[pure virtual]`

| Set the size of the drops.

virtual void iSnowState::SetFallSpeed | ( | const csVector3 & | fspeed | ) | `[pure virtual]`

| Set fall speed.

virtual void iSnowState::SetLighting | ( | bool | l | ) | `[pure virtual]`

| Enable or disable lighting.

virtual void iSnowState::SetParticleCount | ( | int | num | ) | `[pure virtual]`

| Set the number of particles to use.

virtual void iSnowState::SetSwirl | ( | float | swirl | ) | `[pure virtual]`

| Set swirl.

The documentation for this struct was generated from the following file:

- imesh/snow.h